<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'sahbaj',

    /*
     * Package.
     */
    'package'   => 'sahbaj',

    /*
     * Modules.
     */
    'modules'   => ['sahbaj'],


    'sahbaj'       => [
        'model'             => 'Sahbaj\Sahbaj\Models\Sahbaj',
        'table'             => 'sahbajs',
        'presenter'         => \Sahbaj\Sahbaj\Repositories\Presenter\SahbajItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'name'],
        'translate'         => ['id',  'name'],

        'upload-folder'     => '/uploads/sahbaj/sahbaj',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
