@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('sahbaj::sahbaj.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('sahbaj::sahbaj.names') !!}</small>
@stop

@section('title')
{!! trans('sahbaj::sahbaj.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('sahbaj::sahbaj.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='sahbaj-sahbaj-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="sahbaj-sahbaj-list" class="table table-striped table-bordered">
    <thead>
        
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#sahbaj-sahbaj-entry', '{!!URL::to('admin/sahbaj/sahbaj/0')!!}');
    oTable = $('#sahbaj-sahbaj-list').dataTable( {
        "ajax": '{!! URL::to('/admin/sahbaj/sahbaj') !!}',
        "columns": [
            
        ],
        "pageLength": 50
    });

    $('#sahbaj-sahbaj-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#sahbaj-sahbaj-list').DataTable().row( this ).data();

        $('#sahbaj-sahbaj-entry').load('{!!URL::to('admin/sahbaj/sahbaj')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

