<?php

namespace Sahbaj\Sahbaj\Repositories\Eloquent;

use Sahbaj\Sahbaj\Interfaces\SahbajRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SahbajRepository extends BaseRepository implements SahbajRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.sahbaj.sahbaj.model');
    }
}
