This is a Laravel 5 package that provides sahbaj management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `sahbaj/sahbaj`.

    "sahbaj/sahbaj": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Sahbaj\Sahbaj\Providers\SahbajServiceProvider::class,

```

And also add it to alias

```php
'Sahbaj'  => Sahbaj\Sahbaj\Facades\Sahbaj::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Sahbaj\Sahbaj\Providers\SahbajServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Sahbaj\Sahbaj\Providers\SahbajServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Sahbaj\Sahbaj\Providers\SahbajServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Sahbaj\Sahbaj\Providers\SahbajServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Sahbaj\Sahbaj\Providers\SahbajServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Sahbaj\Sahbaj\Providers\SahbajServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


