@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Sahbajs </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/sahbaj/sahbaj/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Sahbaj</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    
                    <th width="150">{!! trans('sahbaj::sahbaj.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($sahbajs as $sahbaj)
                <tr>
                    
                    <td><span class="label status-{{ $sahbaj->status }}"> {{ $sahbaj->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/sahbaj/sahbaj/{!! $sahbaj->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/sahbaj/sahbaj/{!! $sahbaj->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/sahbaj/sahbaj/{!! $sahbaj->getRouteKey() !!}" 
                            href="trans_url('/user')/sahbaj/sahbaj/{!! $sahbaj->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $sahbajs->links() }}
</div>