<?php

// Admin web routes  for sahbaj
Route::group(['prefix' => trans_setlocale().'/admin/sahbaj'], function () {
    Route::resource('sahbaj', 'Sahbaj\Sahbaj\Http\Controllers\SahbajAdminWebController');
});

// Admin API routes  for sahbaj
Route::group(['prefix' => trans_setlocale().'api/v1/admin/sahbaj'], function () {
    Route::resource('sahbaj', 'Sahbaj\Sahbaj\Http\Controllers\SahbajAdminApiController');
});

// User web routes for sahbaj
Route::group(['prefix' => trans_setlocale().'/user/sahbaj'], function () {
    Route::resource('sahbaj', 'Sahbaj\Sahbaj\Http\Controllers\SahbajUserWebController');
});

// User API routes for sahbaj
Route::group(['prefix' => trans_setlocale().'api/v1/user/sahbaj'], function () {
    Route::resource('sahbaj', 'Sahbaj\Sahbaj\Http\Controllers\SahbajUserApiController');
});

// Public web routes for sahbaj
Route::group(['prefix' => trans_setlocale().'/sahbajs'], function () {
    Route::get('/', 'Sahbaj\Sahbaj\Http\Controllers\SahbajPublicWebController@index');
    Route::get('/{slug?}', 'Sahbaj\Sahbaj\Http\Controllers\SahbajPublicWebController@show');
});

// Public API routes for sahbaj
Route::group(['prefix' => trans_setlocale().'api/v1/sahbajs'], function () {
    Route::get('/', 'Sahbaj\Sahbaj\Http\Controllers\SahbajPublicApiController@index');
    Route::get('/{slug?}', 'Sahbaj\Sahbaj\Http\Controllers\SahbajPublicApiController@show');
});

